<ion-header no-border>
  <ion-toolbar>
    <ion-title class="paz1" style="font-size: 20px;font-weight: bold;">
      <ion-grid style="width: 100%;">
        <ion-row>
          <ion-col size="2">
            <ion-icon name="arrow-back" (click)="forgotpassword()"></ion-icon>
          </ion-col>
          <ion-col size="8">
            <!-- <div align="center">
              Registration Screen
            </div> -->
          </ion-col>
          <ion-col size="2">
            <img src="assets/images/icon.png" alt="BCW LOGO" style="width: 50%;float: right;" />
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="font_color">
  <ion-item lines="none" class="cmargin">
    <!-- <ion-icon ios="ios-text" md="md-text"></ion-icon> -->
    <img src="assets/images/otp.png" class="otpimg" />
  </ion-item>

  <ion-grid class="cmargin">
    <ion-row>
      <ion-col>
        <div class="ion-text-center headings hotp">
          Enter OTP
        </div>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <div class="ion-text-center headings cotp">
          An OTP has been sent to your mobile number {{maskedPhone}}
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>

  <div style="text-align: center;margin-top: 3%;">
    <form [formGroup]="ProfileForm">
      <div class="forms">
        <div style="margin-bottom: 3%;margin-top: 3%;">
          <ion-input type="number" placeholder="OTP" class="inputstyle " formControlName="otp"></ion-input>
        </div>
      </div>

    </form>
  </div>
  <ion-row>
    <ion-col>
      <div id='parent_div_1'>
        <div>Not received OTP yet? Resend in {{timer}}.
          <p *ngIf="showResend" class="resend" (click)="resendOTP()">Resend?</p>
        </div>
      </div>
    </ion-col>

  </ion-row>
  <ion-row>
    <ion-col>
      <div class="ion-text-center pdiv">
        <!-- <button mat-flat-button size="large" slot="end" style="width: 50%;" class="paz" (click)="submitOtp()"
          [disabled]="ProfileForm.invalid || ProfileForm.controls.otp.value!=ProfileForm.controls.otp.value"
          type="submit">SUBMIT</button> -->

        <button type="button" (click)="submitOtp()" class="ion-btn">Submit</button>

      </div>
    </ion-col>
  </ion-row>
</ion-content>